Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.client
Class AnchorElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.AnchorElement

    public class AnchorElement

extends Element

The anchor element.

See Also:
  W3C HTML Specification

Field Summary

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` | `AnchorElement()`

Method Summary
`static AnchorElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`void` | `blur()` Removes keyboard focus from this element.
`void` | `focus()` Gives keyboard focus to this element.
`java.lang.String` | `getAccessKey()` A single character access key to give access to the form control.
`java.lang.String` | `getHref()` The absolute URI of the linked resource.
`java.lang.String` | `getHreflang()` Language code of the linked resource.
`java.lang.String` | `getName()` Anchor name.
`java.lang.String` | `getRel()` Forward link type.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` | `getTarget()` Frame to render the resource in.
`java.lang.String` | `getType()` Advisory content type.
`void` | `setAccessKey(java.lang.String accessKey)` A single character access key to give access to the form control.
`void` | `setHref(java.lang.String href)` The absolute URI of the linked resource.
`void` | `setHreflang(java.lang.String hreflang)` Language code of the linked resource.
`void` | `setName(java.lang.String name)` Anchor name.
`void` | `setRel(java.lang.String name)` Forward link type.
`void` | `setTabIndex(int tabIndex)` Index that represents the element's position in the tabbing order.
`void` | `setTarget(java.lang.String target)` Frame to render the resource in.
`void` | `setType(java.lang.String type)` Advisory content type.

Methods inherited from class com.google.gwt.dom.client.Element
`as, getAbsoluteLeft, getAbsoluteTop, getAttribute, getClassName, getDir, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getParentElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTagName, getTitle, isOrHasChild, removeAttribute, scrollIntoView, setAttribute, setClassName, setDir, setId, setInnerHTML, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyString, setScrollLeft, setScrollTop, setTitle`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnchorElement

    protected AnchorElement()

Method Detail

### as

    public static AnchorElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### blur

    public final void blur()

  Removes keyboard focus from this element.

### focus

    public final void focus()

  Gives keyboard focus to this element.

### getAccessKey

    public final java.lang.String getAccessKey()

  A single character access key to give access to the form control.

  See Also:
    W3C HTML Specification

### getHref

    public final java.lang.String getHref()

  The absolute URI of the linked resource.

  See Also:
    W3C HTML Specification

### getHreflang

    public final java.lang.String getHreflang()

  Language code of the linked resource.

  See Also:
    W3C HTML Specification

### getName

    public final java.lang.String getName()

  Anchor name.

  See Also:
    W3C HTML Specification

### getRel

    public final java.lang.String getRel()

  Forward link type.

  See Also:
    W3C HTML Specification

### getTabIndex

    public final int getTabIndex()

  Index that represents the element's position in the tabbing order.

  See Also:
    W3C HTML Specification

### getTarget

    public final java.lang.String getTarget()

  Frame to render the resource in.

  See Also:
    W3C HTML Specification

### getType

    public final java.lang.String getType()

  Advisory content type.

  See Also:
    W3C HTML Specification

### setAccessKey

    public final void setAccessKey(java.lang.String accessKey)

  A single character access key to give access to the form control.

  See Also:
    W3C HTML Specification

### setHref

    public final void setHref(java.lang.String href)

  The absolute URI of the linked resource.

  See Also:
    W3C HTML Specification

### setHreflang

    public final void setHreflang(java.lang.String hreflang)

  Language code of the linked resource.

  See Also:
    W3C HTML Specification

### setName

    public final void setName(java.lang.String name)

  Anchor name.

  See Also:
    W3C HTML Specification

### setRel

    public final void setRel(java.lang.String name)

  Forward link type.

  See Also:
    W3C HTML Specification

### setTabIndex

    public final void setTabIndex(int tabIndex)

  Index that represents the element's position in the tabbing order.

  See Also:
    W3C HTML Specification

### setTarget

    public final void setTarget(java.lang.String target)

  Frame to render the resource in.

  See Also:
    W3C HTML Specification

### setType

    public final void setType(java.lang.String type)

  Advisory content type.

  See Also:
    W3C HTML Specification

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD